﻿Type=Activity
Version=1.60
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	
End Sub

Sub Globals
	Dim txtEmail As EditText
	Dim txtPassword As EditText
	Dim tokenLink, url As String
	tokenLink = "https://api.dropbox.com/0/token?"
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("UserForm")
	HttpUtils.CallbackActivity = "UserForm"
	HttpUtils.CallbackJobDoneSub = "JobDone"
	txtEmail.InputType = Bit.Or(txtEmail.InputType, 0x00000020) 'Set keyboard to "email mode"
	'Set keyboard to "password mode" (no predictions will appear)
	txtPassword.InputType = Bit.Or(txtPassword.InputType, 0x00000080) 
End Sub

Sub Activity_Resume
	If HttpUtils.Complete = True Then JobDone(HttpUtils.Job)
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub txtPassword_EnterPressed
	btnSend_Click
End Sub

Sub btnSend_Click
	Dim p As Phone
	p.HideKeyboard(Activity)
	If txtEmail.Text.Length = 0 OR txtPassword.Text.Length = 0 Then
		ToastMessageShow("Please fill both fields.", True)
		Return
	End If
	ProgressDialogShow2("Waiting for Dropbox server...", False)
	url = tokenLink & "email=" & txtEmail.Text & "&password=" & txtPassword.Text
	HttpUtils.Download("Token", url)
End Sub
Sub JobDone(Job As String)
	ProgressDialogHide
	If HttpUtils.IsSuccess(url) Then
		Dim j As JSONParser
		j.Initialize(HttpUtils.GetString(url))
		Dim m As Map
		m = j.NextObject
		Dim token, token As String
		token = m.Get("token")
		secret = m.Get("secret")
		'store the token fur future use.
		File.WriteList(File.DirInternal, "token.txt", Array As String(token, secret))
		Main.token = "" 'When the main activity resumes it will load the token from the file.
		Activity.Finish
	End If
	HttpUtils.Complete = False
End Sub

